package com.gci.boot.modules.vehicles.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.gci.boot.common.vo.Result;
import com.gci.boot.modules.vehicles.entity.TbAnnualInspectionInfo;
import com.baomidou.mybatisplus.extension.service.IService;
import com.gci.boot.modules.vehicles.query.AnnualInspectionInfoQuery;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;

/**
 * <p>
 * 年检信息表 服务类
 * </p>
 *
 * @author 2464
 * @since 2023-09-20
 */
public interface ITbAnnualInspectionInfoService extends IService<TbAnnualInspectionInfo> {

    IPage<TbAnnualInspectionInfo> pageBuild(Page<TbAnnualInspectionInfo> page, AnnualInspectionInfoQuery query);

    IPage<TbAnnualInspectionInfo> remindList(Page<TbAnnualInspectionInfo> page, AnnualInspectionInfoQuery query);

    void init();

    TbAnnualInspectionInfo getLastYear(String plateNumber);

    void saveItem(TbAnnualInspectionInfo tbAnnualInspectionInfo);

    void updateItem(TbAnnualInspectionInfo tbAnnualInspectionInfo);

    void removeItem(String id);

    Result<?> listImport(MultipartFile file) throws IOException;
}
